// now.c

#include <stdio.h>
#include <time.h>

void main (void)
{
   time_t seconds;
   struct tm *tstruct;

   // Return the number of seconds that have elapsed since 00:00:00 GMT,
   // January 1, 1970.

   seconds = time (NULL);

   // Convert from seconds to a structure. Correct for time zone and daylight
   // savings time.

   tstruct = localtime (&seconds);

   // Output the structure's contents in human-readable format.

   printf ("Local time is: %s", asctime (tstruct));
}
