// hellowin.c

// Hello, from Windows.

#include <windows.h>

// ==========================================================================
// int WINAPI WinMain (HINSTANCE hinstance, HINSTANCE hinstancePrev,
//                     LPSTR lpszCmdLine, int iCmdShow)
//
// Program entry point.
//
// Arguments:
//
// hinstance     - program's instance handle (which uniquely identifies the
//                 program when running under Windows)
//
// hinstancePrev - obsolete (leftover from Windows 3.1)
//
// lpszCmdLine   - address of \0-terminated string that contains command-line
//                 parameters (not used in this program)
//
// iCmdShow      - number that indicates how the window is to be initially
//                 displayed (not used in this program)
//
// Return        - WM_QUIT message's wParam value (0, in this simple program)
// ==========================================================================

#pragma argsused
int WINAPI WinMain (HINSTANCE hinstance, HINSTANCE hinstancePrev,
                    LPSTR lpszCmdLine, int iCmdShow)
{
   MessageBox (HWND_DESKTOP, "Welcome to Windows!", "HelloWin",
               MB_ICONINFORMATION | MB_OK);

   return 0;
}
